
  * Removal of libgnome dependency

  -------

  * overhaul of the renderer infrastructure
    The renderer interface now allows to transport fill and stroke color
    in one step. All export formats supporting both colors with one object
    are now producing less objects (CGM, DRS, FIG, MetaPost, SVG, Shape,
    VDX, WPG, ...) and smaller files.

  * initial gradient support for Standard objects
    - gradient fills can be imported and exported with SVG and PDF
    - gradient fills can be created with a very simple user interface
    - gradients are only rendered with cairo (and to SVG), other renderers
      just fall back to a single color instead of some gradient emulation

  * introduce "Standard - Path" - an object between Bezierline and
    Beziergon not sharing their shortcomings, i.e multiple move-to
    is supported (objects with holes). The "Standard - Path" object
    can only be created indirectly by:
    - importing svg:path with holes (Bezierline and Beziergon are
      still used wherever possible)
    - substitute standard objects with their path representation
      (object menu: "Convert to Path")
    - rendering objects to path (also object menu "Convert to Path")

  * Object upgrading like "Upgrade to Bezierline" in context menu
    - from Line to ZigZagLine
    - from ZigZagLine to Bezierline
    - Convert to Path for all
    - Selection has also Union, Difference, Intersection and Exclusion

  * experimental PDF import based on libpoppler (not very useful yet)

  * optional OGDF based automatic layout plug-in
    Providing a bunch of automatic graph layout algorithms based on OGDF (www.ogdf.net)
    See plug-ins/layout/readme.txt for build details.

  * Transparency (aka. Alpha support)
    Almost every place where a color can be selected now also allows to
    choose the transparency value. If the the plug-in/importer/exporter does
    not support transparency, it will try to emulate (GDK renderer) or just
    ignore the transparency.

  * Improved clipboard support
    - global clipboard copy (selected) support, that is for every copy within
      Dia the selection can be rendered as bitmap with display scale if another
      application asks for it. Also SVG is offered as clipboard exchange format,
      but only few programs support it (Inkscape is one of them).
    - Edit/Paste Image to either replace the pixels of a selected image or
      add a new image to the diagram

  * Embedded Images
    - images from clipboard don't have a filename, embedded by default
    - improved embedded image support for Shapes, SVG, VDX

  * Object alignment algorithms improved
    - there is a new command "Align connected" aligning on the coneected
      connection points, not the object bounding box.
    - all align/spread-out commands are now filtering on connected objects (i.e. 
      leaving out the objects which will be moved as a side-effect).

  * Text fitting options for Flowchart objects
    - Always: grow and shrink object based on it's text content
    - When Needed: only grow objects when text content does not fit (old default)
    - Never: text space and object shape are completely independent

  * Transformations: Groups can be scaled and rotated. 
    This limited support for object transformations can only fully be exploited with
    some of the existing renderers, but SVG, PNG, PDF (via cairo), WMF (win32 only)
    and plain SVG (via PyDia) are fully supporting transformations. (bgo#59880, bgo#100886)
    Other renderers show an approximation in the existence of transformed groups.

  * object meta info possible since 0.97 finally got an editor
    (see: Object Properties). Meta info can be used for 
    "<ObjectMenu>/Follow Link..."

  * improved diagram tree (actually all new implementation)
    - nicer look
    - can search for object name by simply typing it
    - multiple selection (works across layers!)
    - allows to transfer the selection to the diagram
    - sortable by name or typename
    - tooltips showing more detailed information about the objects at hand

  * new object "Diagram as Element" allows to reference external diagrams

  * update of VDX plug-in
    - in-memory base64 encoding for export case
    - line width issue with import (round-trip)
    - transparency/alpha support for export and import
    - text alignment corrections
    - use NoLine=1 to avoid extra lines
    - fix <Text>, <cp/>, <pp/> and <tp/> tags
    - use embedded image rather than temporary file for image
    - don't close Polyline with FillPattern=None(0)
    - remember shape ID in object meta info
    
  * update of SVG plug-in
    - font-size issue with Firefox (SVG contained invalid CSS)
    - export images inline if there is no filename
    - embedded image support for import
    - some more transform support
    - retain current point over path split

  * update of DXF plug-in
    - finally also color-by-layer
    - better size by changing scales during import to the reciprocal
    - don't complain about 999 comment code
    - adding AcDbArc to ARC export makes it work
    - respect specialties of SOLID and THICKNESS round-trip
    - produce DXF independent of locale

  * update of WPG plug-in
    - support WordPerfect Graphics import
    - fixed image export
    - use WPG Polycurve
    - fix object positioning

  * PyDia documentation improvements and API additions
    - inline API documentation overhaul and easier access to it,
      see e.g. "<Toolbox>/Help/PyDia HTML Docs"
    - add read-only Sheet object
    - Renderer:draw_layer() and Layer::render()
    - More PyErr_Warn(), less g_warning()
    - support ConnectionPoint.flags and .directions
    - JavaScript code generation
    - some more reflection support

  * Standard object improvements
    - LineCaps and LineJoin switchable for Standard objects
    - Standard - Arc: movable center point
    - Gradient fill

  * more diagrams describing internal behavior

  * support to render "holes" with some renderers, for details see:
    https://bugzilla.gnome.org/show_bug.cgi?id=568168

  * allow to increase the width of 'UML - CLass' to help grid aligning

  * a lot less deprecated function use, still a long way to go for gtk+3
    https://people.gnome.org/~fpeters/reports/299.html and
    https://bugzilla.gnome.org/show_bug.cgi?id=575016    

  * a bunch of changes suggested by Static Code Analysis
    Commits are marked with [scan-build] as in http://clang-analyzer.llvm.org/scan-build.html
    The only user visible change should be less apparently random bugs.

  * removed incomplete RDP (Petri net) shape set

  * bugs fixed:
    http://bugzilla.gnome.org/buglist.cgi?product=dia&target_milestone=0.98

dia-0.97.3: 2014-09-05

 * Fix double free with some SVG rendering (regression from Dia 0.97.2)
 * Fixes to cope better with updated versions of Dia's dependencies:
   - don't crash at start-up with ABI breaking GLib 2-36
   - don't assert in cairo 1.12 with invalid arc parameters
   - avoid kerning problems (character overlap) for all Pango versions
   - fix image files to be loadable by libpng16
 * Backport fixes for some seldom crashes and other annoyances, see:
   http://bugzilla.gnome.org/buglist.cgi?product=dia&target_milestone=0.97.3
 * Update translations for Brazilian Portuguese, German, Hungarian,
   Polish, Romanian, Serbian and Slovenian

dia-0.97.2: 2011-12-18

  * a lot of updated translations

  * bugs fixed:
    http://bugzilla.gnome.org/buglist.cgi?product=dia&target_milestone=0.97.2

  * More colors for SADT

dia-0.97.1: 2010-01-24

  * updated translations

  * bugs fixed:
    http://bugzilla.gnome.org/buglist.cgi?product=dia&target_milestone=0.97.1

dia-0.97: 2009-05-03

  * a few more bugs fixed, some updated translations, build from git

dia-0.97-pre3: 2009-04-11

  * integrated UI does not need a restart anymore (it must be selected on the 
    command line with 'dia --integrated' ;)
  * even more bugs fixed:
    http://bugzilla.gnome.org/buglist.cgi?product=dia&target_milestone=0.97&chfieldfrom=2009-02-15&chfieldto=2009-04-13

dia-0.97-pre2: 2009-02-15

  * Quite some bugs fixed, at least:
    http://bugzilla.gnome.org/buglist.cgi?product=dia&target_milestone=0.97&resolution=FIXED
  
  * improved rendering with cairo (PS, PDF, SVG, PNG, EMF) and also default print 
    through Gtk+/cairo support

  * simple Find & Replace for diagram objects names

  * dedicated text editing mode finally allows to use 'Del' while editing 
    text and/or for whole object removal

  * custom lines plug-in (missing samples and documentation)

  * Shapes can now have sub-shapes that can be scaled or not when the main
    shape is scaled.  Also, it is now possible to specify that shapes
    are created with their stated sizes.

  * Much decreased start-up time and memory usage by delay loading
    custom shapes.

  * Rotated text by "Standard - Outline" object (based on cairo)

  * overhaul of the DXF plug-in (import and export)

  * with the help of libEMF dia now can write EMF on Linux(x86), too.

  * new database table relation shapes

  * a huge step forward regarding properties of grouped objects
    http://bugzilla.gnome.org/show_bug.cgi?id=60331

  * antialiased rendering done with cairo if the plug-in is loaded

  * improvements on arrow bounding box calculations

  * the "UML - Class" dialog fits again 800x600 screen again

  * there is an optional 'integrated' UI for people otherwise loosing 
    their toolbox ;)

  * _experimental_ stand-alone bindings with the help of SWIG/C++

dia-0.96.1: 29-Mar-2007

  * Brown-bag release with five bugfixes, one of them critical: Empty
    initial lines in shapes crashes Dia (#421250). 

dia-0.96: 25-Mar-2007

  * Final release of 0.96.

dia-0.96-pre9: 18-Mar-2007

  * Ninth prerelease for 0.96.  Fixes I18N of file names, filename
    extension bugs, several leaks, two crash bugs, paste update bug, and
    diverse other things.

dia-0.96-pre8: 16-Mar-2007

  * Eighth prerelease for 0.96.  Fixes three crash bugs.

dia-0.96-pre7: 11-Mar-2007

  * Seventh prerelease for 0.96. Fixes two crash bugs and image redrawing
    issues, as well as a few minor issues.

dia-0.96-pre6: 5-Mar-2007

  * Sixth prerelease for 0.96.  I18n fixes, debugging output removed, some
    export fixes, and titles on defaulted diagrams.

dia-0.96-pre5: 26-Feb-2007

  * Fifth prerelease for 0.96.  A fix of a number of text-related crash
    bugs has come in, and several Python fixes, including a Doxygen import
    filter.  

dia-0.96-pre4: 5-Feb-2007

  * Fourth prerelease for 0.96.  This one has yet another new version of
    the VDX plugin (v. 0.9.1), as well as a fix of a text rendering bug,
    enhanced MetaPost output and some i18n and smaller fixes.

dia-0.96-pre3: 22-Jan-2007

  * Third prerelease for 0.96.  This one adds a new version (0.8) of the
    VDX plugin for extended testing.  More versions are coming up, but
    extra testing is useful.

dia-0.96-pre2: 21-Jan-2007

  * Second release candidate for 0.96.  Main improvements:

  * Version 0.7 of VDX plugin by Ian Redfern.

  * Text-line rendering in SVG export.

  * Keyboard shortcuts for tools now use shift-alt.

  * Improvement in autogaps for some objects.

  * .desktop file now has current version.

  * Change in zoom levels in menus.

  * Check that windows are within bounds before opening.

  * Various compilation-time improvements.

  * UML class improvements on comment and wrapped underlined names.

dia-0.96-pre1: 13-Dev-2006

  * First release candidate for 0.96.  Main improvements:

  * Text rendering is now based on the TextLine objects, each of which
    contain one line of text along with font and font height.  This has
    allowed proper control of text width and speedier rendering.

  * Visio VXD files can now be imported and exported, thanks to Ian
    Redfern.

  * Renderer API change:  Added function draw_text_line.  Renderer (export)
    implementations will need recompilation.

  * Object API change: can_parent replaced by flags field.

  * Dia menus now based on GtkAction framework.

  * A number of new keyboard shortcuts.

  * Layer visibility is now undoable.

  * New sheets for Business Process Modelling

  * The initial diagram will now be filled with opened diagram if
    unchanged, like Gnumeric.

  * Pasted objects now no longer land on top of each other.

  * A number of smaller bugs have been fixed and improvements made, see
    details in ChangeLog.

dia-0.95-1: 25-May-2006

* Fix of bug #339562 (page margins restriction), #338336 ("query" in 
  umloperation_offsets), and #334771 (ungroup crashes)

dia-0.95: 19-Apr-2006

* Update of Gane/Sarson sheets.

dia-0.95-pre9: 12-Apr-2006

* Fix of configure check for xgettext.

dia-0.95-pre8: 3-Apr-2006

* Fix of font placement in xfig import.

* Fixes in installers.

dia-0.95-pre7: 28-Mar-2006

* Fix (somewhat) a crash bug in font handling for Win32.

* Minor fixes from W. Borgert.

dia-0.95-pre6: 21-Mar-2006

* Transient (window-on-top) off till issues resolved.

* Stack corruption errors in XFig import fixed.

* Locale dependency in HPGL file loading removed.

dia-0.95-pre5: 12-Mar-2006

* Fixed positioning and height of UML operations when wrapped.

* Three security holes in the XFig importer fixed after review.

* COPYING file readded.

dia-0.95-pre4: 6-Mar-2006

* Fixed Fig import locale issues, TeX export escape issues.

* Made children of objects not be magnetic to their parents.

* Python startup fixes.

dia-0.95-pre3: 26-Feb-2006

* Turned off element width/height setting as it isn't ready for prime time.

* Internationalization of sheet names now done at display/sort time, C
  names used for internal/persistence purposes.

dia-0.95-pre2: 21-Feb-2006

* A couple bugs fixed: 331489 (metapost font size), 331371 (win32 margins),
  331491 (text position in metapost), 331557 (crash with beziergon undo),
  331372 (arc disappears).

dia-0.95-pre1: 12-Feb-2006

* Quite some bugs fixed, at least:
  http://bugzilla.gnome.org/buglist.cgi?product=dia&target_milestone=0.95&resolution=FIXED

* Read/Write support for nested properties like operations
  with paramaters (DARRAY, StdProp). This potentially allows
  to write round-trip engineering plug-ins (UML+Python)

* New or improved plug-ins written in Python, e.g.
  - dot.py : generate DOT output, http://www.graphviz.org
  - codegen.py : Code generator mentioned above
  - pydiadoc.py : Python bindings by 'self reflection'
  
* Many plug-ins now correctly create locale independent output

* The SVG import got improved (still far from complete 
  coverage, which isn't feasible for Dia anyway)

* Simple auto-routing of 'othogonal' connection lines

* Most Objects now have a center point, which allows to 
  connect to but the line starts at the border of the object.

* Shapes with text should finally work

* Dynamic grid improvements (magic grid size;)

* Finally allow to load/unload most of the plug-ins 
  without restart

* With something selected Show All now shows that

* Improved command line handling: allows to select layers
  and more fine control about the filters to use

* Show selection info on status bar

* Experimental libgnomeprint usage again

* Finally using the new Gtk+ File Dialog

* Full Screen Mode

* Still experimental Cairo plug-in

* Change in focus mechanism to allow highlight of
  current input object, multiple inputs per object, and tabbing
  between objects.

dia-0.94: 17-Aug-2004

Nothing new happened since last prerelease, releasing.

dia-0.94-pre6: 7-Aug-2004

Fixed crash bug in save as, as well as string sorting issue and crash bug
in UML class and group unhighlighting bug.

dia-0.94-pre5: 2-Aug-2004

Finally fixed memory leak from layout cache.

dia-0.94-pre4: 1-Aug-2004

Important fix for export filters.  Still some leaking from layout cache,
but not as awful.

dia-0.94-pre3: 25-Jul-2004

Fixing a number of png issues and a few bugs.

dia-0.94-pre2: 17-Jul-2004

Second prerelease of version 0.94.  Bunch of small fixes, but together
important enough to make a new prerelease.

dia-0.94-pre1: 04-Jul-2004

First prerelease of version 0.94.  News in this version:

* Highlighting of objects when connecting to them makes it easier to
  connect.

* New shape sets include:
  - RDP (Petri Networks shapes)
  - KAOS (Goal-Directed Requirements Acquisition)
  - I* (Intentional STrategic Actor Relationships modelling)
  - Jackson (Jackson Diagrams)
  - ChemEng (chemical engineering)

* Hexagonal grid, for all you chemists out there.

* Allow selection between layers, selectable in layers dialog.

* Disparate persistence systems replaced by one combined system using XML,
  leaves unknown preferences alone.

* New renderer plug-in for Cairo rendering API.

* New renderer plug-in for WMF outside of Windows.
  (at the moment it just builds on *NIX but does not produce any
   useful output, so it's only of interest for developers)

* New arrow head: Backslash.

* Rounded corners on zigzaglines and polylines.

* Automaticall open new diagram if now chosen at start.

* Diagram modified status now based on undo information.

* Wrapping operations arguments in UML objects.

* Better positioning of association texts.

* More persistence of toolbox selections and dialog entries.

* Better handling of dialogs when parent dialogs close.

* Changed from SGML to XML for docs, still DocBook.

* Fix shape background color compatibility problem.

* Many smaller bug fixes, leaks closed and stuff.

dia-0.93: 29-Apr-2004

Ready for release.

dia-0.93-pre3: 13-Apr-2004

Fixed disappearing toolbox when quit is cancelled.

dia-0.93-pre2: 04-Apr-2004

Fixed crash bug in ellipse, plus various compilation problems.  Also
renamed the dia manual to make dia.spec work better and did a few updates
to dia.spec.

dia-0.93-pre1: 11-Mar-2004

Major improvements in this release include:

* Text-rendering is faster due to a Pango layout cache.

* The Win32 version now also uses Freetype2 rendering, allowing more
  unified appearance and antialiasing.

* Standard Ellipse now has connection point and handle in center, and
  is resized around the center.

* Arrow head size selection now keeps aspect ratio by default.

* Line style and arrow head selectors now visual instead of textual in
  properties dialogs.

* Several sets of shapes added, including isometric map, cybernetics, 

* Added navigation window in lower-right corner.

* UML objects can now have color.

* Dia can now convert objects without requiring X.  PNG size can be
  specified with --size.

* Menus have been overhauled, more shortcuts added.

* Preedit text input much improved.

* Numerous improvements in metapost and xfig filters.

* Default arrow size now 0.5 cm.

* Minimum diagram size is very small now.

* Improvements to the Python plug-in.

* Shapes now support images.

* Greeked text replacing very small font rendering.

* Added XSLT sheets:  Python, OWL, Mac, Component List

* Shapes can now have extra properties, shown only in the dialog.

* New arrows: Half-circle and Filled Dot And Triangle.

* Many, many bugs and leaks fixed.

dia-0.92.2: 01-Nov-2003

* Another Brown Bag release.  Parented objects lost all connections, now
  retained.  Also fixed crash bug that tried to resize unresizable objects
  and connections update for children.

dia-0.92.1: 26-Oct-2003

* Brown Bag release.  Fixes crashbug in the "Analog Clock" symbol, and bug
  with pasting multiple lines of text.

dia-0.92: 19-Oct-2003

* Like pre7, but with some updated translations and documentation.  Now
  included man page.

dia-0.92-pre7: 14-Oct-2003

* EPS output with built-in fonts now does locale conversion.  The PS still
  thinks it's Latin-1.

dia-0.92-pre6: 11-Oct-2003

* Cisco sheets install fix.

dia-0.92-pre5: 11-Oct-2003

* Allow choosing the export format explicitly when in doubt.

dia-0.92-pre4: 27-Sep-2003

* Use Win32 PS font EPS rendering on Unix as well, to allow the various
  manipulation tools to work.
* Libart rendering is back on win32.
* Icon fix.

dia-0.92-pre3: 22-Sep-2003

* Working caching of Pango context removes huge slowdown from pre2.

dia-0.92-pre2: 11-Sep-2003

* Ensure loading of fonts and (semi-)correct DPI setting for Pango.
* Use $PRINTER correctly in print dialog.
* Read comments in XFig files.
* Change to CHM manual format for Windows.
* Some minor bug fixes.

dia-0.92-pre1: 2-Sep-2003

Object developers please note:
This update contains a binary compatibility change.  Your objects will need
to be recompiled and some prototypes changed (*_move_handle in particular).

* Autorouting of orthconn lines.  Still fairly primitive, doesn't avoid
  objects, but at least goes the right way out of connectionpoints (when
  connectionpoints have their dirs set).
* Parenting.  Objects can now be set to be parents of others (so far, only
  the UML Large Package is set so by default).  Objects created into these
  or explicitly added are moved with the parent and cannot be moved
  outside.
* Dynamic grid that changes with zoom scale.
* Grid now has thicker line every n lines (default 5).  Stippled grid
  option removed.
* ESC and Enter now usable for exiting properties dialogs.
* Mouse wheel(s) can be used to scroll and zoom. 
* When using menu bar, middle button pans the diagram.
* Documents now remember if they were compressed or not when loaded.
* Documents are always prettyprinted, to allow CVS.
* More diagram properties can be set for existing diagrams, and are loaded
  and saved.
* UML Component features:  Event sources and sinks.
* Improved undo of grouping and ungrouping.
* Updates of the Python plugin:
  - groups, rgb, and images can be manipulated
  - better svg parsing
* XFig arrow head import and export, and correct dash lengths
* Now remembers the last selected sheet.
* Better Metapost output, with images.
* Gnome and Gnome HIG conformance better.
* Better text alignment in flowchart objects.
* Window positions are now remembered from run to run.
* Standardization of error messages and shape descriptions.
* Better SVG export.
* Better arrow head calculations.
* More tooltips.
* Snap to grid icon in status bar.
* Opens a new diagram if Dia is started with a non-existing file as argument.
* A number of various bugs fixed.

Things that actually might need doing first:  Win32 color thing,
ESC/Return capture in props dialogs

dia-0.91: 14-Mar-2003
Identical to dia-0.91-pre6 except for translation updates.

dia-0.91-pre6: 4-Mar-2003
* Configure fix
* Install of png fix.
* Arrow selector menu fix.

dia-0.91-pre5: 2-Mar-2003
* Better freetype lib check
* DXF crash bug fix.
* Sheet with all objects in samples.
* Fix of multistringprop property widget, fixes chronogram crash bug.
* Missing jumper icon added.

dia-0.91-pre4: 28-Feb-2003
* Fixed lack of undo for moving objects.
* Fixed lack of modified-ness for changing text.
* Better URL for help manual.

dia-0.91-pre3: 16-Feb-2003
* Fixed long-standing bug with antialiasing.
* Better XSLT plugin.
* Localized output in SVG floating point removed.
* SADT arrow fixed.

dia-0.91-pre2: 9-Feb-2003
* Fixed a number of small bugs:
  - Properties dialog now hides when an object is deleted.
  - Correct sizing of pixbuf & PS export.
  - Diagram window not set as toolbar anymore.
  - Command-line parsing for Gnome.
  - A number of Windows-specific fixes.
  - Several minor bugs.
* Python plugins now installed.
* Some doc updates.
* Pixbuf export added on Unix side, plus several fixes in here.
* Better check for finite in configure.in.
* Updates of dependencies and RPM spec file.

dia-0.91-pre1: 31-Jan-2003

* Dia now uses Gtk2 which makes it look much prettier (menu
  icons, scrolling menus, less flicker, better international 
  text support, ...)
* Dia tries to follow the Gnome User Interface Guidelines which
  should make it more consistent with the Gnome2 desktop
* Requires libgtk2.x instead of libgtk1.2. FIXME:
  document exactly what we need (do it in INSTALL too)
* Relies on FreeType (pangoft2) for all Unix-side text handling.
* Since text handling is totally changed, old diagrams will have different
  text sizes.  
* Most Dia objects now support setting some defaults. Simply 
  double-click on the respective object button to change them.
* Better feedback what will happen by changing cursors e.g. for 
  moving or connecting objects
* Revamped DiaRenderers : Beside more maintainable source code
  this gives export fiters the ability to write e.g. bezier
  approximations without having to write a single line of code
  in the export filter.
* Improved lines with arrows handling
* Autosave support.  No automatic restore yet.
* The new XSLT plugin uses the gnome libxslt to export documents from 
  DIA. The library is not required at compile time.
* There is a new plug-in called 'Pixbuf' to export to jpeg and 
  png (without the need of libart)
* The Python plug-in allows to write more powerful scripts now,
  see diasvg.py for an example. More examples! The only documentation
  beside examples and C source is on the Dia Twiki
  (http://faemalia.org/wiki/view/Technical/DiaEditor)
* UML classes can carry comments
* A bunch of new Shapes
* Support for dynamic refresh (animated objects)


dia-0.90:  1-June-2002

* identical to 0.90.RC3 save for some makefile juggling.

dia-0.90.RC3:  30-May-2002

* in FreeType mode, dia now looks for the xfs configuration files too
  to retrieve the font path.
* Polish version of the manual added
* a load-time compatibility issue with files produced by 0.88.1 was
  found and fixed for some UML objects.
* we now better use the intltool facilities
* various build problems on Solaris fixed and/or documented.

dia-0.90.RC2:  24-May-2002

* increased tolerance to broken XML files
* ER objects can have their text size changed
* a couple bugs (i18n, l10n, p9y) fixed

dia-0.90.RC1:  13-May-2002

* from now on, all XML files produced by dia will be encoded as UTF-8.
  This version of dia is also capable of reading dia file encoded with
  any other encoding the libxml2 parser embedded in libxml1 is able to
  understand. One exception: the encoding declaration >must< be present.

* all previously generated XML files (.pluginrc and .dia files,
  mostly) will now cause a warning about a missing encoding, and the
  default dia will take. If you have properly compiled dia, it should
  choose the charset you normally use. This is normal and there is no
  other sane possible way.

* Metapost renderer
* Unicode builds are now mandatory. The software internally always talks UTF-8.
* Updated Python interface.
* Faster Postscript files.
* More options in the UML Class dialog.
* An optional menu bar can be added to each display window, in
  addition to the popup menu.
* All RenderObjects have been replaced by equivalent shapes, and
  RenderObject support code removed.
* All Lazyprop objects have been converted to Standard Properties
  instead. Lazyprop support code removed.
* lots of internal changes and cleanups in the StdProp code. This
  breaks binary compatibility.
* ongoing UTF-8 audit.
* libxml-1.8.14 is now needed; you can also have libxml2 installed,
  but don't build with both development packages installed (this will 
  most certanly end up in a library mismatch. To avoid this, the
  configure script will stop if it detects both libxml development
  packages)
* Shapes can now have a <svg:text> element.
* polybeziers and beziergons now have their bounding box properly computed.
* autoconf-2.50 is strongly recommended (2.13 should still be fine) if
  you want to call ./autogen.sh.
* You now need libtool-1.4 to build the package.
* automake-1.4-p4 is probably needed as well.
* gettext-0.10.38 is now mandatory if you want to call ./autogen.sh.
* intltools-0.12 is now mandatory if you want to call ./autogen.sh. 

  In general, don't call ./autogen.sh at all if your system is not on
  the bleeding edge.

* You need recent versions of the packages {jade, docbook,
  docbook-utils, docbook-dsssl, docbook-stylesheets,
  docbook-style-dsssl, gnome-doc-tools-2-0, cygnus-stylesheets, etc.}
  of the whole DocBook rendering system, to build the documentation.
  The exact names of the packages vary from system to system; this
  list is only a starting point! If compiling the documentation fails,
  please report on dia-list@gnome.org once you've found which packages 
  to install. However, you can disable the compilation of
  documentation if it's too much trouble to fix.
* a few new shapes have been added.
* crashes in the right-click menu have been nailed.

 
dia-0.88:  11-May-2001
* Input method support should work correctly now.
* SVG shape files now use namespace from final W3C recommendation.
  Addon shapes will have to be modified to use the
  http://www.w3.org/2000/SVG namespace for SVG.  SVG export filter
  also uses correct doctype.
* menus should now work in both gtk+ and gnome builds and have no i18n
  related problems.  Don't look in app/menus.c.
* pstricks renderer output should now work fine without modification now.
* gdk-pixbuf is now a requirement for building dia.  It no longer
  falls back to imlib if it can't find gdk-pixbuf.
* handle "file not found" errors better in the image object type.
* Dia now has documentation thanks to the GDP.  The help menu now has
  more than just an about menu item.
* Antialiased drawing mode probably won't crash dia anymore
* Dia has a splash screen now (which can be turned off with the
  --nosplash option).
* Updated bonobo support (when --enable-bonobo is used)
* added expose event compression for the dia canvas, which makes dia
  more usable over remote X connections.
* Many objects updated to use properties interface.
* experimental unicode print support (--enable-unicode)
* updates to the python plugin and now distribute it with dia (--with-python)
* many new shapes and export filter plugins.
* other bug fixes.

dia-0.86:  6-August-2000
* Dia is now an official GNU program.
* Bug fixes to polygon, so that undo/redo of adding a point works correctly,
  and added extra connection points to shape. (james)
* added unfinished DXF import filter (Steffen).
* XIM support added.
* added beziergon object. (james)
* The right click menu now behaves correctly when torn off.  Actions will be
  performed on the last active display, which is defined as the last display
  to receive mouse clicks or keyboard input. (james)
* added little button to top left hand corner of display for bringing up
  the right click menu, as in gimp-1.1. (james)
* Layers dialog changes selected diagram when the active display changes.
  (james)
* fixed bug in custom shape code affecting drawing of ellipses/circles.
* WPG and HPGL export filters added (Hans)
* Updated gnome-print code so that it respects the settings in the page
  setup dialog.  The gnome-print code is still not as good as the straight
  postscript code.
* Added a diagram properties dialog where you can manipulate the grid
  settings (which are now saved with the diagram) and background colour.
* many other bug fixes.

dia-0.85:  18-May-2000
* Bug fix for bringing up properties window when a group of objects that don't
  implement the properties code are selected (james).
* New sheets: Pneumatic, Electric and Civil (from Cyrille and Steffen).
* New export filters: TeX PSTricks and DXF (from Jacek and Steffen
  respectively).
* New polygon object (Lars).
* You can now select between symmetric, smooth and cusp as the vertex style
  for the segments in a bezier line object (Lars, james).
* Some fixups to make sure preferences and save files are written with
  LC_NUMERIC set to C (james).
* dia will now use gdk-pixbuf in preference to imlib if it is found on the
  system when compiling.
* there is a simple (unfinished) bonobo component now.  To build it, you
  must pass --enable-bonobo to configure (this will not affect whether the
  normal dia is built).  (Alex)
* Bug fixes in FS objects by David Thompson.
* new plugin system, along with a plugin manager where you can prevent
  plugins from being loaded (james).
* Objects handled by the custom sheet code now have a better distance
  algorithm -- before it just used a bounding box (james).
* New select submenu in the right click menu that makes it easier to select
  groups of objects (Lars).

dia-0.84:  29-February-2000
* Bug fixes in sheet loading and object initialisation code -- this fixes
  some of the seg faults in 0.83.
* Lots of new shapes (GRAFCET, SADT, chronogram and Contact from Cyrille)
* Fixed up fit to page so that it adjusts the scaling as you change the
  size of the diagram.  Also allow fit to multiple pages.
* Show page breaks on diagram (this can be disabled in the preferences).
* CGM export filter fixes (most of this work was by Henk Jan Priester).
* SVG export filter fixes -- now it handles images as well.
* EPS filter now uses scaling factor set in page setup dialog.  This was
  added because some apps do not allow scaling of an EPS file after importing
  it.
* High quality anti aliased libart based renderer (Alex).
* PNG export filter (requires libpng and libart).
* toolbox is resizable kind of like the gimp-1.1 toolbox.
* Win32 port by Hans Breuer -- see http://hans.breuer.org/dia/
* Start of support for properties code.  THIS IS NOT FINISHED AND THE
  INTERFACES ARE LIKELY TO CHANGE IN THE NEXT RELEASE.  DON'T WRITE NEW
  OBJECTS AGAINST THESE NEW INTERFACES UNLESS YOU ARE PREPARED FOR THEM TO
  BREAK WITH THE NEXT RELEASE.  That said, this adds a number of nice
  features for users.  You can now group a number of properties supporting
  objects (currently the `standard' objects, custom objects and the
  flowchart box), and change some of the properties as a group.

dia-0.83:
* Copying/pasting of bezier and image objects should work correctly.
* New export filter interface, which allows export filters to be
  loaded from plugins rather than being integrated into the application.
* New CGM export plugin.  It currently doesn't handle beziers yet, but
  it does handle all other aspects of rendering.
* Fixed rendering of logo in about dialog.
* Don't reencode the symbol font in latin1, as this stops it working.
* Renamed the --export-to-ps option to --export (the short form is still -e).
  It now works out which filter to use based on the file extension.
* Portability fixes.

dia-0.82:
* Dia has a new maintainer now.
* It is now possible to rearange the icons in the toolbox by editing
  simple XML files.  You can also create new sheets composed of your
  favourite shapes.  This feature is the work of Cyrille Chepelov
* New bezierline object.  This object is by Lars Clausen and me (James).
* Better integration with the gnome file manager -- dia files now have an
  icon, and you can double click on a file to launch dia.
* more memory leak fixes based on purify runs by Bruce Mitchener.
* By holding down shift when using the zoom tool, you can zoom out.  This
  feature was from Patrick Reynolds.
* By holding shift when using the move tool, it changes its behaviour to the
  `grab' type scrolling as seen in acrobat, eog and other programs.
* More circuit shapes from Andreas Scherf.
* Other bug fixes I haven't mentioned above (see ChangeLog for details).

News in version 0.81:
* New printing dialog with "Fit to page" and landscape printing
* New Circuit objects
* Fixed loading saving of flowcharts and custom object. This would
  make dia crash when loading saved files.
* Portability fixes
* Added undo support for some missing operations
* Fixed some memory leaks
* Fixed crashing bugs
  
News in version 0.80:
* Undo capabilities
* Printing support
* Possibilities to create new objects in XML
* Export to SVG capability
* Objects can have menus
* New objects:
  uml state object.
  Some new Network objects
  flowchart sheet.
  Sybase sheet.
  Electric circuit sheet.
* Uses g_module for dll loading (Dia should work on most unixes now).
* Somewhat better EPS files created
* More preferences
* Ctrl-drag handles restricts movement to horizontal/vertical.
* New logos.
* Heaps of new stuff i forgot
* Lots of bugfixes and cleanups.

News in version 0.41:
* Some internalization bugfixes.
Note that some translations still has problems. "sv" works.

News in version 0.40: 

* Internationalization
* Preferences handling
* Image objects
* New standard objects: polyline
* New UML objects: lifeline, object, message, class icon
* New network object: printer
* Better standard objects
* Better gnome compatibility
* Statusbar in diagram window
* Default properties for objects
* Various new features
* Asorted bugfixes

News in version 0.30: 

* Dia now has a layer system, much like the GIMP.
* The fileformat changed from my own binary format to an easily readable
  XML format.
* New objects for Entity-Relationship modeling.
* New objects for UML and networking diagrams.
* Much better properties dialogs for most objects.
* Postscript output fixed, should work better now.
* Updated to use Gtk 1.1.x features.
* New features: Align objects, command line loading, etc.
* Internal updates.
* Lots of bugfixes and cleanups.

